Subject: [Revampers] [reply requested by 7 June] Welcome and scheduling the first conversation

From: Greg Wood <[email-masked]>
Date: Thu, 4 Jun 2015 15:48:47 -0400

All,

Thanks to each of you for agreeing to participate in the IETF Website Revamp Community Review Committee (CRC). This note aims to:

A) Recap information about the project and the CRC, and

B) Detail CRC touchpoints, including scheduling the first check-in next week

ASK: please complete the Doodle Poll here to indicate your availability:

http://doodle.com/fr6v8ssfwr2k6wbx
(you’ll see that Ged of Torchbox and I have already completed it.)

NOTE: We will be recording the CRC WebEx sessions so that it can be reviewed by those who cannot make the scheduled time—and follow up with input and questions.

C) Share administrative details.

Details of each below. Please let me know if I can provide more information or answer questions. Apologies for the length—I promise future notes will be shorter.

-Greg

A) RECAP
For easy reference, here’s the Scope of Work that is guiding the project, including establishing this committee to review and approve key milestones:

http://iaoc.ietf.org/documents/IETF-Website-SOW-20140604-Final.pdf

Work is already underway, including research and interviews by Torchbox (the selected vendor) with individuals from the target audiences (see Section 3 in the SOW).

B) SCHEDULE
The overall goal is to have the revamped website (www.ietf.org) available publicly by the end of 2015.

Creative Positioning Conversation : Week of 8 June
(conversation to be scheduled: http://doodle.com/fr6v8ssfwr2k6wbx)
=========================
The goal for this conversation is to understand brand positioning and visual design approach​ to define a BROAD direction for look and feel.

The meeting will include a review of mood boards [1] and a look through other reference web sites that can be used for inspiration.

By understanding what you do and don’t like in the mood boards and reference sites, Torchbox can gain an understanding of the right creative space to operate in. 

NOTE: We are NOT looking to cover information architecture or user journeys.

The output will be a design brief, which will be shared with you and open for comment.

The WebEx session will be recorded for review and subsequent input via email by those who cannot participate at the scheduled time.

Future touchpoints
=========================

Week of 22 June
- Share Discovery phase and user research findings (via email)
- Review and agree design scope (via email)

Week of 6 July
- Design Review (conversation to be scheduled)

Week of 13 July
- Wireframe/prototype review (conversation to be scheduled)

C) ADMINISTRIVIA

The mailing list is here:

https://www.ietf.org/mailman/listinfo/revampers

Current subscribers are:

[email-masked]
[email-masked]
[email-masked]
[email-masked]
[email-masked]
[email-masked]
[email-masked]
[email-masked]

[1] http://en.wikipedia.org/wiki/Mood_board